Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
dev-libs/libclc VIDEO_CARDS OpenCL w intel i915 graphics
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
jeffk
l33t
l33t


Joined: 13 Sep 2003
Posts: 661

PostPosted: Fri Jun 15, 2018 3:36 pm    Post subject: dev-libs/libclc VIDEO_CARDS OpenCL w intel i915 graphics Reply with quote

For the past few months have enabled +opencl on my ~amd64 system (Lenovo x220 with Intel i915 integrated graphics) as a (future) experiment to see what OpenCL APIs were accessible, and when various machine learning libraries would work (with no expectations of accelerated performance) with generic OpenCL, etc.

With the recent update to dev-libs/libclc as per commit f60fa1ad, the options are now specifically for nvidia and AMD cards.
Code:
The ebuild selected to satisfy "dev-libs/libclc" has unmet requirements.
dev-libs/libclc-0.2.0_pre20180610::gentoo USE="" ABI_X86="(64)" VIDEO_CARDS="-nvidia -r600 -radeonsi"
The following REQUIRED_USE flag constraints are unsatisfied:
any-of ( video_cards_nvidia video_cards_r600 video_cards_radeonsi )

Code:
media-libs/mesa-18.1.1-r1 (opencl ? dev-libs/libclc

Can anyone speak to whether Intel integrated graphics in general and the i915 in particular could potentially work with current versions of OpenCL if additional libraries for Mesa were used? I have been reading up on Intel's OpenCL SDK, and it isn't yet clear to me what is included in the scope of the Linux SRB5 driver package.
Thanks for any information.[/url]
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22659
Location: here

PostPosted: Fri Jun 15, 2018 4:12 pm    Post subject: Reply with quote

http://libclc.llvm.org/ wrote:
libclc currently supports the AMDGCN, and R600 and NVPTX targets, but support for more targets is welcome.

libcl not support intel for now
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
jeffk
l33t
l33t


Joined: 13 Sep 2003
Posts: 661

PostPosted: Fri Jun 15, 2018 4:16 pm    Post subject: Reply with quote

Thanks, I can disable OpenCL use var in portage for now then. I appreciate the info.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2325
Location: Germania

PostPosted: Sat Jun 23, 2018 3:50 pm    Post subject: Reply with quote

I got same error now. For Intel i965 cards, there is dev-libs/beignet supporting OpenCL 1.1 and for skylake or newer experimental OpenCL 2.0. See:

https://gitweb.gentoo.org/repo/gentoo.git/tree/virtual/opencl/opencl-0-r5.ebuild

And I recommend the patch for LLVM 6 support (from ARCH Linux):

https://bugs.gentoo.org/658794
https://658794.bugs.gentoo.org/attachment.cgi?id=536890
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum